| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Public Types | Public Member Functions
LT_PMBusMath Class Reference

## Detailed Description

Definition at line 53 of file LT_PMBusMath.h.

## Public Types
typedef unsigned long | fl32_t
typedef unsigned int | lin11_t
typedef unsigned int | lin16_t
typedef unsigned int | lin16m_t
typedef int | slin11_t
typedef unsigned char | uchar_t

## Public Member Functions
fl32_t | lin11_to_fl32 (lin11_t xin)
fl32_t | lin16_to_fl32 (lin16_t lin16_mant, lin16_t lin16_exp)
lin16_t | fl32_to_lin16 (fl32_t xin, lin16_t lin16_exp)
lin11_t | fl32_to_lin11 (fl32_t xin)
float | lin11_to_float (lin11_t xin)
float | lin16_to_float (lin16_t lin16_mant, lin16m_t vout_mode)
lin11_t | float_to_lin11 (float xin)
lin16_t | float_to_lin16 (float xin, lin16m_t vout_mode)

## Member Function Documentation

## ◆ fl32_to_lin11()

LT_PMBusMath::lin11_t LT_PMBusMath::fl32_to_lin11 | ( | LT_PMBusMath::fl32_t | xin | ) |

Definition at line 327 of file LT_PMBusMath.cpp.

## ◆ fl32_to_lin16()

LT_PMBusMath::lin16_t LT_PMBusMath::fl32_to_lin16 | ( | LT_PMBusMath::fl32_t | xin,
|  | lin16_t | lin16_exp
| ) |  |

Definition at line 257 of file LT_PMBusMath.cpp.

## ◆ float_to_lin11()

LT_PMBusMath::lin11_t LT_PMBusMath::float_to_lin11 | ( | float | xin | ) |

Definition at line 443 of file LT_PMBusMath.cpp.

## ◆ float_to_lin16()

LT_PMBusMath::lin16_t LT_PMBusMath::float_to_lin16 | ( | float | xin,
|  | LT_PMBusMath::lin16m_t | vout_mode
| ) |  |

Definition at line 451 of file LT_PMBusMath.cpp.

## ◆ lin11_to_fl32()

LT_PMBusMath::fl32_t LT_PMBusMath::lin11_to_fl32 | ( | LT_PMBusMath::lin11_t | xin | ) |

Definition at line 134 of file LT_PMBusMath.cpp.

## ◆ lin11_to_float()

float LT_PMBusMath::lin11_to_float | ( | LT_PMBusMath::lin11_t | xin | ) |

Definition at line 427 of file LT_PMBusMath.cpp.

## ◆ lin16_to_fl32()

LT_PMBusMath::fl32_t LT_PMBusMath::lin16_to_fl32 | ( | LT_PMBusMath::lin16_t | lin16_mant,
|  | lin16_t | lin16_exp
| ) |  |

Definition at line 205 of file LT_PMBusMath.cpp.

## ◆ lin16_to_float()

float LT_PMBusMath::lin16_to_float | ( | LT_PMBusMath::lin16_t | lin16_mant,
|  | LT_PMBusMath::lin16m_t | vout_mode
| ) |  |

Definition at line 435 of file LT_PMBusMath.cpp.

## Member Typedef Documentation

## ◆ fl32_t

typedef unsigned long LT_PMBusMath::fl32_t

Definition at line 58 of file LT_PMBusMath.h.

## ◆ lin11_t

typedef unsigned int LT_PMBusMath::lin11_t

Definition at line 59 of file LT_PMBusMath.h.

## ◆ lin16_t

typedef unsigned int LT_PMBusMath::lin16_t

Definition at line 60 of file LT_PMBusMath.h.

## ◆ lin16m_t

typedef unsigned int LT_PMBusMath::lin16m_t

Definition at line 61 of file LT_PMBusMath.h.

## ◆ slin11_t

typedef int LT_PMBusMath::slin11_t

Definition at line 62 of file LT_PMBusMath.h.

## ◆ uchar_t

typedef unsigned char LT_PMBusMath::uchar_t

Definition at line 63 of file LT_PMBusMath.h.

The documentation for this class was generated from the following files:

- LT_PMBusMath.h
- LT_PMBusMath.cpp